repo/proj/guru:dev commit in: app-containers/waydroid/files/, app-containers/waydroid/

"Anna Vyalkova" <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786135651.c67dc96af026573cec93cba143c6ad1a63abf0eb.cybertailor@gentoo>
commit:     c67dc96af026573cec93cba143c6ad1a63abf0eb
Author:     Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
AuthorDate: Fri Aug  7 20:45:08 2026 +0000
Commit:     Anna Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
CommitDate: Fri Aug  7 20:47:31 2026 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=c67dc96a

app-containers/waydroid: add 1.6.3, drop 1.6.1

Signed-off-by: Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq.in>

 app-containers/waydroid/Manifest                   |  2 +-
 app-containers/waydroid/files/waydroid.initd       | 12 +++++
 ...waydroid-1.6.1.ebuild => waydroid-1.6.3.ebuild} | 62 ++++++++++++++--------
 3 files changed, 52 insertions(+), 24 deletions(-)

diff --git a/app-containers/waydroid/Manifest b/app-containers/waydroid/Manifest
index 3c0994ce30..36347b70fb 100644
--- a/app-containers/waydroid/Manifest
+++ b/app-containers/waydroid/Manifest
@@ -1,2 +1,2 @@
-DIST waydroid-1.6.1.tar.gz 247610 BLAKE2B 4504fbe13b27c5329ebd425cf621b9639e816d44463af59b0cb49a5b60c29a92ae10e38898b5a637aac279f51fa8a8298b3c46d17d27fb8880908548eab5c259 SHA512 88607a68b81f6616c3f7286ce8e7eedf551e828718c1342ee2f86f40243c52c96fd23512d02a116c5880f0806af75919db5aabec3b92e7fb81510f0e8486a431
 DIST waydroid-1.6.2.tar.gz 247887 BLAKE2B bd9b6d9715f0d58837348fca965636f27abd874c774565f52ce862fb434b9b59f27100e4f6036da7f878f23977e798a3408022fd18885ffae022d34f44169e9c SHA512 ea6d6c0d8519a41c7c80335c30cb9afd3fd03d308400585779fbb5a52de881cfc4f3b9cbc71a089fd84bd362bd24c6f7ee4869420fcd2a1fe2104554b1b7b90b
+DIST waydroid-1.6.3.tar.gz 249566 BLAKE2B 9b20fb5aa7d24b252a6f19938ac264fac9c173ef9976936c5a27620e56a68d5524c34f93875b36166c15c5372aaa7dc24a1fac0c2616d99c0ffd3cc946ed8cf3 SHA512 e395b0eed9bfda3cb7b0ab8de5e8d69c57188c86b810c76fccd6a9dea2179acf219b41338382a923d0f4cfbb276064d7336c0771ba54c6ef14e8496250a3acfa

diff --git a/app-containers/waydroid/files/waydroid.initd b/app-containers/waydroid/files/waydroid.initd
new file mode 100644
index 0000000000..3b578491f2
--- /dev/null
+++ b/app-containers/waydroid/files/waydroid.initd
@@ -0,0 +1,12 @@
+#!/sbin/openrc-run
+# shellcheck shell=sh
+#
+# Copyright 2022-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+: "${supervisor:=supervise-daemon}"
+
+description="Waydroid Container Manager"
+command="/usr/bin/waydroid"
+command_args="container start"
+pidfile="/run/${RC_SVCNAME}.pid"

diff --git a/app-containers/waydroid/waydroid-1.6.1.ebuild b/app-containers/waydroid/waydroid-1.6.3.ebuild
similarity index 71%
rename from app-containers/waydroid/waydroid-1.6.1.ebuild
rename to app-containers/waydroid/waydroid-1.6.3.ebuild
index 2781db3875..ef6337dae8 100644
--- a/app-containers/waydroid/waydroid-1.6.1.ebuild
+++ b/app-containers/waydroid/waydroid-1.6.3.ebuild
@@ -1,36 +1,43 @@
-# Copyright 2022-2025 Gentoo Authors
+# Copyright 2022-2026 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
 
 PYTHON_COMPAT=( python3_{12..14} )
-inherit linux-info xdg python-single-r1
+PYTHON_REQ_USE="ssl"
+inherit linux-info optfeature python-single-r1 systemd xdg
 
 DESCRIPTION="Container-based approach to boot a full Android system on Linux systems"
-HOMEPAGE="https://waydro.id"
+HOMEPAGE="
+	https://waydro.id
+	https://github.com/waydroid/waydroid
+"
 SRC_URI="https://github.com/${PN}/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
 
-LICENSE="GPL-3"
+LICENSE="GPL-3+"
 SLOT="0"
 KEYWORDS="~amd64 ~arm ~arm64 ~x86"
 REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-IUSE="apparmor +clipboard"
+IUSE="apparmor"
 
-DEPEND="|| ( virtual/linux-sources virtual/dist-kernel )"
-RDEPEND="
+RDEPEND="${PYTHON_DEPS}
 	app-containers/lxc[apparmor?,seccomp]
+	net-firewall/nftables
+	net-dns/dnsmasq[dhcp]
+	sys-apps/dbus
+	sys-auth/polkit
+	virtual/notification-daemon
+	x11-libs/gtk+:3[introspection,wayland]
+	x11-themes/hicolor-icon-theme
 	$(python_gen_cond_dep '
-		clipboard? ( >=dev-python/pyclip-0.7.0[wayland,${PYTHON_USEDEP}] )
-		dev-python/pygobject[${PYTHON_USEDEP}]
-		>=dev-python/gbinder-1.3.0[${PYTHON_USEDEP}]
 		dev-python/dbus-python[${PYTHON_USEDEP}]
+		>=dev-python/gbinder-1.3.0[${PYTHON_USEDEP}]
+		dev-python/pygobject[${PYTHON_USEDEP}]
 	')
-	net-firewall/nftables
-	net-dns/dnsmasq
-	>=dev-libs/libglibutil-1.0.80
-	>=dev-libs/gbinder-1.1.43
-	x11-themes/hicolor-icon-theme
-	${PYTHON_DEPS}
+	|| (
+		media-video/pipewire[sound-server]
+		media-sound/pulseaudio-daemon
+	)
 "
 CONFIG_CHECK="
 	~ANDROID_BINDER_IPC
@@ -79,28 +86,37 @@ src_prepare() {
 
 src_install() {
 	python_fix_shebang waydroid.py
-	emake install DESTDIR="${D}" USE_NFTABLES=1 USE_SYSTEMD=1
-	elog "Installing waydroid OpenRC daemon"
-	doinitd "${FILESDIR}"/waydroid
+	newinitd "${FILESDIR}"/waydroid.initd waydroid
+
+	local mymakeargs=(
+		DESTDIR="${D}"
+		PREFIX="${EPREFIX}"/usr
+		SYSD_DIR="$(systemd_get_systemunitdir)"
+		USE_NFTABLES=1
+		USE_SYSTEMD=1
+	)
+	emake "${mymakeargs[@]}" install install_apparmor
 }
 
 pkg_postinst() {
 	xdg_pkg_postinst
 
 	elog "After package installation run either 'emerge --config app-containers/waydroid'"
-	elog "or 'waydroid init' from root shell to install android container runtime"
-	elog "To run waydroid, 1. Start container: 'rc-service waydroid start'"
-	elog "2. start wayland channel (from user shell) 'waydroid session start'"
+	elog "or 'waydroid init' from root shell to install Android container runtime"
+	elog "To run Waydroid, 1. Start container: 'rc-service waydroid start'"
+	elog "2. Start Wayland channel (from user shell) 'waydroid session start'"
 	elog "Contact https://docs.waydro.id/usage/install-on-desktops for how-to guides"
 	elog "(does not cover Gentoo-specific things sadly)"
 	elog
-	ewarn "Make sure you have NFTABLES up and running in your kernel. See"
+	ewarn "Make sure you have nftables up and running in your kernel. See"
 	ewarn "https://wiki.gentoo.org/wiki/Nftables for how-to details"
 	ewarn
 	if use apparmor; then
 		ewarn "Check the known issues for apparmor:"
 		ewarn "https://docs.waydro.id/debugging/known-issues"
 	fi
+
+	optfeature "clipboard support" "dev-python/pyclip[wayland]"
 }
 
 pkg_config() {
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.